package weaver.docs.webservices;

package ..deTemp.1749627996090;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.Writer;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.StringTokenizer;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;
import java.util.zip.ZipOutputStream;
import oracle.sql.CLOB;
import org.apache.axis.encoding.Base64;
import weaver.conn.ConnStatement;
import weaver.conn.RecordSet;
import weaver.crm.Maint.CustomerInfoComInfo;
import weaver.docs.DocDetailLog;
import weaver.docs.category.DocTreeDocFieldComInfo;
import weaver.docs.category.MainCategoryComInfo;
import weaver.docs.category.SecCategoryComInfo;
import weaver.docs.category.SubCategoryComInfo;
import weaver.docs.docs.CustomFieldManager;
import weaver.docs.docs.DocCoder;
import weaver.docs.docs.DocComInfo;
import weaver.docs.docs.DocImageManager;
import weaver.docs.docs.DocManager;
import weaver.docs.docs.DocViewer;
import weaver.docs.docs.ImageFileIdUpdate;
import weaver.docs.webservices.DocAttachment;
import weaver.docs.webservices.DocCustomField;
import weaver.docs.webservices.DocInfo;
import weaver.docs.webservices.DocService;
import weaver.docs.webservices.DocShareInfo;
import weaver.file.AESCoder;
import weaver.file.FileManage;
import weaver.file.FileUpload;
import weaver.file.ImageFileManager;
import weaver.file.ImageInfo;
import weaver.file.Prop;
import weaver.file.multipart.DefaultFileRenamePolicy;
import weaver.general.BaseBean;
import weaver.general.GCONST;
import weaver.general.MD5;
import weaver.general.TimeUtil;
import weaver.general.Util;
import weaver.hrm.User;
import weaver.hrm.company.DepartmentComInfo;
import weaver.hrm.resource.ResourceComInfo;
import weaver.ldap.LdapUtil;
import weaver.share.ShareManager;
import weaver.splitepage.operate.SpopForDoc;
import weaver.system.SystemComInfo;
import weaver.systeminfo.SystemEnv;
import weaver.systeminfo.language.LanguageComInfo;
import weaver.workflow.field.BrowserComInfo;
import weaver.workflow.request.ResourceConditionManager;

public class DocServiceImpl extends BaseBean implements DocService {
  private static ImageFileIdUpdate imageFileIdUpdate = new ImageFileIdUpdate();
  
  private static final Map sessionIDMap = new HashMap<Object, Object>();
  
  private static final Map sessionTimeMap = new HashMap<Object, Object>();
  
  private static synchronized void putSessionId(String paramString, Object paramObject) {
    for (String str : sessionTimeMap.keySet()) {
      Date date = (Date)sessionTimeMap.get(str);
      if (date.getTime() - (new Date()).getTime() > 1800000L) {
        sessionTimeMap.remove(str);
        sessionIDMap.remove(str);
      } 
    } 
    sessionIDMap.put(paramString, paramObject);
    sessionTimeMap.put(paramString, new Date());
  }
  
  private static synchronized Object gutSessionId(String paramString) {
    for (String str : sessionTimeMap.keySet()) {
      Date date = (Date)sessionTimeMap.get(str);
      if (date.getTime() - (new Date()).getTime() > 1800000L) {
        sessionTimeMap.remove(str);
        sessionIDMap.remove(str);
      } 
    } 
    sessionTimeMap.put(paramString, new Date());
    return sessionIDMap.get(paramString);
  }
  
  public String login(String paramString1, String paramString2, int paramInt, String paramString3) throws Exception {
    String str = "";
    if (paramString1 != null && !"".equals(paramString1) && paramString2 != null && !"".equals(paramString2) && paramString3 != null && !"".equals(paramString3)) {
      int i = checkLogin(paramString1, paramString2, paramInt);
      writeLog("checkLogin: logresult = " + i);
      if (i == 1) {
        int j = getUserId(paramString1, paramInt);
        writeLog("login: userid = " + j);
        User user = getUserById(j);
        if (user != null) {
          user.setLoginip(paramString3);
          String str1 = Util.getRandom() + "|" + paramString3;
          str = (new MD5()).getMD5ofStr(str1);
          putSessionId(str, user);
        } 
      } 
    } 
    return str;
  }
  
  public int createDoc(DocInfo paramDocInfo, String paramString) throws Exception {
    User user = (User)gutSessionId(paramString);
    return createDocByUser(paramDocInfo, user);
  }
  
  public int createDocByUser(DocInfo paramDocInfo, User paramUser) throws Exception {
    if (paramUser != null && paramDocInfo != null) {
      String str = "";
      try {
        SecCategoryComInfo secCategoryComInfo = new SecCategoryComInfo();
        DocComInfo docComInfo = new DocComInfo();
        DocManager docManager = new DocManager();
        DocViewer docViewer = new DocViewer();
        DocImageManager docImageManager = new DocImageManager();
        RecordSet recordSet = new RecordSet();
        int i = docManager.getNextDocId(recordSet);
        paramDocInfo.setId(i);
        DocAttachment[] arrayOfDocAttachment = paramDocInfo.getAttachments();
        byte b = 0;
        while (true) {
          DocAttachment docAttachment;
          if (arrayOfDocAttachment != null && b < arrayOfDocAttachment.length) {
            docAttachment = arrayOfDocAttachment[b];
            if (docAttachment != null && ((docAttachment.getFilecontent() != null && !"".equals(docAttachment.getFilecontent())) || (docAttachment.getFilerealpath() != null && !"".equals(docAttachment.getFilerealpath())))) {
              docAttachment = saveAttachment(docAttachment);
              if (docAttachment == null || docAttachment.getImagefileid() <= 0) {
                writeLog("Save Attachment Error!");
              } else {
                docAttachment.setDocid(i);
                int j = docAttachment.getImagefileid();
                str = docAttachment.getFilename();
                String str4 = "";
                docImageManager.resetParameter();
                if ("".equals(paramDocInfo.getDocSubject())) {
                  paramDocInfo.setDocSubject(getFileMainName(str));
                  docImageManager.setImagefilename(str);
                  str4 = getFileExt(str);
                } else {
                  docImageManager.setImagefilename(str);
                  str4 = getFileExt(str);
                } 
                if (str4.equalsIgnoreCase("doc")) {
                  docImageManager.setDocfiletype("3");
                } else if (str4.equalsIgnoreCase("xls")) {
                  docImageManager.setDocfiletype("4");
                } else if (str4.equalsIgnoreCase("ppt")) {
                  docImageManager.setDocfiletype("5");
                } else if (str4.equalsIgnoreCase("wps")) {
                  docImageManager.setDocfiletype("6");
                } else if (str4.equalsIgnoreCase("docx")) {
                  docImageManager.setDocfiletype("7");
                } else if (str4.equalsIgnoreCase("xlsx")) {
                  docImageManager.setDocfiletype("8");
                } else if (str4.equalsIgnoreCase("pptx")) {
                  docImageManager.setDocfiletype("9");
                } else {
                  docImageManager.setDocfiletype("2");
                } 
                docImageManager.setDocid(i);
                docImageManager.setImagefileid(j);
                docImageManager.setIsextfile("1");
                docImageManager.AddDocImageInfo();
                arrayOfDocAttachment[b] = docAttachment;
              } 
              continue;
            } 
          } else {
            break;
          } 
          arrayOfDocAttachment[b] = docAttachment;
          b++;
        } 
        paramDocInfo.setAttachments(arrayOfDocAttachment);
        String str1 = "";
        String str2 = "";
        str1 = TimeUtil.getCurrentDateString();
        str2 = TimeUtil.getOnlyCurrentTimeString();
        docManager.setId(i);
        docManager.setMaincategory(paramDocInfo.getMaincategory());
        docManager.setSubcategory(paramDocInfo.getSubcategory());
        docManager.setSeccategory(paramDocInfo.getSeccategory());
        docManager.setLanguageid(paramUser.getLanguage());
        docManager.setDoccontent(paramDocInfo.getDoccontent());
        docManager.setDocstatus("1");
        docManager.setDocsubject(paramDocInfo.getDocSubject());
        docManager.setDoccreaterid(paramUser.getUID());
        docManager.setDocCreaterType(paramUser.getLogintype());
        docManager.setUsertype(paramUser.getLogintype());
        docManager.setOwnerid(paramUser.getUID());
        docManager.setOwnerType(paramUser.getLogintype());
        docManager.setDoclastmoduserid(paramUser.getUID());
        docManager.setDocLastModUserType(paramUser.getLogintype());
        docManager.setDoccreatedate(str1);
        docManager.setDoclastmoddate(str1);
        docManager.setDoccreatetime(str2);
        docManager.setDoclastmodtime(str2);
        docManager.setDoclangurage(paramUser.getLanguage());
        docManager.setKeyword(paramDocInfo.getKeyword());
        docManager.setIsapprover("0");
        docManager.setIsreply(paramDocInfo.getIsreply());
        docManager.setReplydocid(paramDocInfo.getReplydocid());
        docManager.setDocdepartmentid(paramUser.getUserDepartment());
        docManager.setDocreplyable("1");
        docManager.setAccessorycount(1);
        if (paramDocInfo.getParentids() == null || paramDocInfo.getParentids().trim().equals("")) {
          docManager.setParentids("" + i);
        } else {
          docManager.setParentids(paramDocInfo.getParentids() + "," + i);
        } 
        docManager.setOrderable("" + secCategoryComInfo.getSecOrderable(paramDocInfo.getSeccategory()));
        docManager.setClientAddress(paramUser.getLoginip());
        docManager.setUserid(paramUser.getUID());
        String str3 = paramDocInfo.getDocCode();
        if (str3 != null && !str3.trim().equals("")) {
          docManager.setDocCode(str3);
        } else {
          DocCoder docCoder = new DocCoder();
          docManager.setDocCode(docCoder.getDocCoder("" + paramDocInfo.getSeccategory()));
        } 
        docManager.setDocEditionId(docManager.getNextEditionId(recordSet));
        docManager.setDocEdition(1);
        docManager.AddDocInfo();
        docManager.AddShareInfo();
        docComInfo.addDocInfoCache("" + i);
        docViewer.setDocShareByDoc("" + i);
        recordSet.executeSql(" update docdetail set accessorycount = (select count(distinct id) from DocImageFile where isextfile = '1' and docid = " + i + " and docfiletype <> '1'   and docfiletype <> '11') where id = " + i);
        return i;
      } catch (Exception exception) {
        writeLog("Save Document error:", exception);
        return -1;
      } 
    } 
    return 0;
  }
  
  public int updateDoc(DocInfo paramDocInfo, String paramString) throws Exception {
    User user = (User)gutSessionId(paramString);
    return updateDocByUser(paramDocInfo, user);
  }
  
  public int updateDocByUser(DocInfo paramDocInfo, User paramUser) throws Exception {
    if (!getRight(paramDocInfo, paramUser, 0))
      return paramDocInfo.getId(); 
    DocInfo docInfo = getDocByUser(paramDocInfo.getId(), paramUser, "");
    if (paramUser != null && docInfo != null && paramDocInfo != null) {
      SecCategoryComInfo secCategoryComInfo = new SecCategoryComInfo();
      DocManager docManager = new DocManager();
      DocComInfo docComInfo = new DocComInfo();
      RecordSet recordSet1 = new RecordSet();
      int i = docInfo.getId();
      if (secCategoryComInfo.isEditionOpen(paramDocInfo.getSeccategory()) && docInfo.getDocStatus() != 0 && docInfo.getDocStatus() != 4) {
        i = docManager.getNextDocId(recordSet1);
        paramDocInfo.setId(i);
        if (docInfo.getDocEditionId() <= 0) {
          paramDocInfo.setDocEditionId(docManager.getNextEditionId(recordSet1));
          paramDocInfo.setDocEdition(1);
          recordSet1.executeSql("update DocDetail set docEditionId=" + paramDocInfo.getDocEditionId() + ",docEdition=" + paramDocInfo.getDocEdition() + " where id=" + docInfo.getId());
          recordSet1.executeSql("update docdetail set docstatus = 7,ishistory = 1 where id <> " + paramDocInfo.getId() + " and docedition > 0 and docedition <= " + paramDocInfo.getDocEdition() + " and doceditionid > 0 and doceditionid = " + paramDocInfo.getDocEditionId());
        } else if (docInfo.getDocEdition() <= 0) {
          paramDocInfo.setDocEdition(docComInfo.getEdition(paramDocInfo.getDocEditionId()) + 1);
          recordSet1.executeSql("update DocDetail set docEditionId=" + paramDocInfo.getDocEditionId() + ",docEdition=" + paramDocInfo.getDocEdition() + " where id=" + docInfo.getId());
          recordSet1.executeSql("update docdetail set docstatus = 7,ishistory = 1 where id <> " + paramDocInfo.getId() + " and docedition > 0 and docedition <= " + paramDocInfo.getDocEdition() + " and doceditionid > 0 and doceditionid = " + paramDocInfo.getDocEditionId());
        } else if (docInfo.getDocEditionId() > 0 && docInfo.getDocEdition() > 0) {
          recordSet1.executeSql("update docdetail set docstatus = 7,ishistory = 1 where id <> " + paramDocInfo.getId() + " and docedition > 0 and docedition <= " + paramDocInfo.getDocEdition() + " and doceditionid > 0 and doceditionid = " + paramDocInfo.getDocEditionId());
        } 
        docManager.setId(paramDocInfo.getId());
        docManager.setDocsubject(paramDocInfo.getDocSubject());
        docManager.setMaincategory(paramDocInfo.getMaincategory());
        docManager.setSubcategory(paramDocInfo.getSubcategory());
        docManager.setSeccategory(paramDocInfo.getSeccategory());
        docManager.setUsertype(paramUser.getLogintype());
        docManager.setClientAddress(paramUser.getLoginip());
        docManager.setDoccreaterid(paramDocInfo.getDoccreaterid());
        docManager.setDocCreaterType(paramDocInfo.getDoccreatertype() + "");
        String str = "";
        for (byte b1 = 0; b1 < (docInfo.getAttachments()).length; b1++) {
          boolean bool = false;
          for (byte b2 = 0; b2 < (paramDocInfo.getAttachments()).length; b2++) {
            if (paramDocInfo.getAttachments()[b2].getImagefileid() == docInfo.getAttachments()[b1].getImagefileid())
              bool = true; 
          } 
          if (!bool)
            str = str + "," + docInfo.getAttachments()[b1].getImagefileid(); 
        } 
        if (str.startsWith(","))
          str = str.substring(1); 
        if (str.endsWith(","))
          str = str.substring(0, str.length() - 1); 
        docManager.addNewDocForEdition(docInfo.getId(), str);
      } else {
        for (byte b1 = 0; b1 < (docInfo.getAttachments()).length; b1++) {
          boolean bool = false;
          for (byte b2 = 0; b2 < (paramDocInfo.getAttachments()).length; b2++) {
            if (paramDocInfo.getAttachments()[b2].getImagefileid() == docInfo.getAttachments()[b1].getImagefileid())
              bool = true; 
          } 
          if (!bool) {
            DocAttachment docAttachment = docInfo.getAttachments()[b1];
            DocImageManager docImageManager = new DocImageManager();
            docImageManager.setDocid(docAttachment.getDocid());
            docImageManager.setImagefileid(docAttachment.getImagefileid());
            docImageManager.DeleteSingleDocImageInfo();
          } 
        } 
      } 
      byte b = 0;
      while (true) {
        DocAttachment docAttachment;
        if (b < (paramDocInfo.getAttachments()).length) {
          boolean bool = false;
          for (byte b1 = 0; b1 < (docInfo.getAttachments()).length; b1++) {
            if (paramDocInfo.getAttachments()[b].getImagefileid() == docInfo.getAttachments()[b1].getImagefileid())
              bool = true; 
          } 
          if (!bool) {
            String str = "";
            DocImageManager docImageManager = new DocImageManager();
            docAttachment = paramDocInfo.getAttachments()[b];
            if (docAttachment != null && ((docAttachment.getFilecontent() != null && !"".equals(docAttachment.getFilecontent())) || (docAttachment.getFilerealpath() != null && !"".equals(docAttachment.getFilerealpath())))) {
              docAttachment = saveAttachment(docAttachment);
              if (docAttachment == null || docAttachment.getImagefileid() <= 0) {
                writeLog("Save Attachment Error!");
              } else {
                docAttachment.setDocid(i);
                int j = docAttachment.getImagefileid();
                str = docAttachment.getFilename();
                String str1 = "";
                docImageManager.resetParameter();
                if ("".equals(paramDocInfo.getDocSubject())) {
                  paramDocInfo.setDocSubject(getFileMainName(str));
                  docImageManager.setImagefilename(str);
                  str1 = getFileExt(str);
                } else {
                  docImageManager.setImagefilename(str);
                  str1 = getFileExt(str);
                } 
                if (str1.equalsIgnoreCase("doc")) {
                  docImageManager.setDocfiletype("3");
                } else if (str1.equalsIgnoreCase("xls")) {
                  docImageManager.setDocfiletype("4");
                } else if (str1.equalsIgnoreCase("ppt")) {
                  docImageManager.setDocfiletype("5");
                } else if (str1.equalsIgnoreCase("wps")) {
                  docImageManager.setDocfiletype("6");
                } else if (str1.equalsIgnoreCase("docx")) {
                  docImageManager.setDocfiletype("7");
                } else if (str1.equalsIgnoreCase("xlsx")) {
                  docImageManager.setDocfiletype("8");
                } else if (str1.equalsIgnoreCase("pptx")) {
                  docImageManager.setDocfiletype("9");
                } else {
                  docImageManager.setDocfiletype("2");
                } 
                docImageManager.setDocid(i);
                docImageManager.setImagefileid(j);
                docImageManager.setIsextfile("1");
                docImageManager.AddDocImageInfo();
                paramDocInfo.getAttachments()[b] = docAttachment;
              } 
              continue;
            } 
          } else {
            continue;
          } 
        } else {
          break;
        } 
        paramDocInfo.getAttachments()[b] = docAttachment;
        b++;
      } 
      updateDocInfo(paramDocInfo, paramUser);
      recordSet1.executeSql(" update docdetail set accessorycount = (select count(distinct id) from DocImageFile where isextfile = '1' and docid = " + i + " and docfiletype <> '1'   and docfiletype <> '11') where id = " + i);
      RecordSet recordSet2 = new RecordSet();
      recordSet2.executeSql("delete DocDummyDetail where docid=" + paramDocInfo.getId());
      if (paramDocInfo.getDummyIds() != null)
        for (byte b1 = 0; b1 < (paramDocInfo.getDummyIds()).length; b1++) {
          String str1 = paramDocInfo.getDummyIds()[b1] + "";
          String str2 = TimeUtil.getCurrentDateString();
          String str3 = TimeUtil.getOnlyCurrentTimeString();
          DocTreeDocFieldComInfo docTreeDocFieldComInfo = new DocTreeDocFieldComInfo();
          if (!"".equals(str1) && !docTreeDocFieldComInfo.isHaveSameOne(str1, "" + paramDocInfo.getId())) {
            String str = "insert into DocDummyDetail(catelogid,docid,importdate,importtime) values (" + str1 + "," + paramDocInfo.getId() + ",'" + str2 + "','" + str3 + "')";
            recordSet2.executeSql(str);
          } 
        }  
      return i;
    } 
    return 0;
  }
  
  private void updateDocInfo(DocInfo paramDocInfo, User paramUser) throws Exception {
    DocDetailLog docDetailLog = new DocDetailLog();
    String str = "";
    ConnStatement connStatement = new ConnStatement();
    boolean bool = connStatement.getDBType().equals("oracle");
    if (bool) {
      str = "update DocDetail set maincategory=?,subcategory=?,seccategory=?,doclangurage=?,docapprovable=?,docreplyable=?,isreply=?,replydocid=?,docsubject=?,docpublishtype=?,itemid=?,itemmaincategoryid=?,hrmresid=?,crmid=?,projectid=?,financeid=?,doccreaterid=?,docdepartmentid=?,doccreatedate=?,doccreatetime=?,doclastmoduserid=?,doclastmoddate=?,doclastmodtime=?,docapproveuserid=?,docapprovedate=?,docapprovetime=?,docarchiveuserid=?,docarchivedate=?,docarchivetime=?,docstatus=?,assetid=?,ownerid=?,keyword=?,accessorycount=accessorycount+?,replaydoccount=?,usertype=? ,cancopy=?,canremind=? ,doccode=?,docedition=?,doceditionid=?,ishistory=?,approveType=?,maindoc=?,readoptercanprint=?,docvaliduserid=?,docvaliddate=?,docvalidtime=?,docpubuserid=?,docpubdate=?,docpubtime=?,docreopenuserid=?,docreopendate=?,docreopentime=?,docinvaluserid=?,docinvaldate=?,docinvaltime=?,doccanceluserid=?,doccanceldate=?,doccanceltime=?,selectedpubmouldid=?,invalidationdate=?,docCreaterType=?,docLastModUserType=?,docApproveUserType=?,docValidUserType=?,docInvalUserType=?,docArchiveUserType=?,docCancelUserType=?,docPubUserType=?,docReopenUserType=?,ownerType=?,canPrintedNum=? where id=?";
      try {
        connStatement.setStatementSql(str);
        connStatement.setInt(1, paramDocInfo.getMaincategory());
        connStatement.setInt(2, paramDocInfo.getSubcategory());
        connStatement.setInt(3, paramDocInfo.getSeccategory());
        connStatement.setInt(4, paramDocInfo.getDoclangurage());
        connStatement.setString(5, "");
        connStatement.setString(6, "");
        connStatement.setString(7, paramDocInfo.getIsreply());
        connStatement.setInt(8, paramDocInfo.getReplydocid());
        connStatement.setString(9, paramDocInfo.getDocSubject());
        connStatement.setString(10, (paramDocInfo.getDocPublishType() < 0) ? "" : (paramDocInfo.getDocPublishType() + ""));
        connStatement.setInt(11, paramDocInfo.getItemid());
        connStatement.setInt(12, 0);
        connStatement.setInt(13, paramDocInfo.getHrmresid());
        connStatement.setInt(14, paramDocInfo.getCrmid());
        connStatement.setInt(15, paramDocInfo.getProjectid());
        connStatement.setInt(16, paramDocInfo.getFinanceid());
        connStatement.setInt(17, paramDocInfo.getDoccreaterid());
        connStatement.setInt(18, paramDocInfo.getDocdepartmentid());
        connStatement.setString(19, paramDocInfo.getDoccreatedate());
        connStatement.setString(20, paramDocInfo.getDoccreatetime());
        connStatement.setInt(21, paramDocInfo.getDoclastmoduserid());
        connStatement.setString(22, paramDocInfo.getDoclastmoddate());
        connStatement.setString(23, paramDocInfo.getDoclastmodtime());
        connStatement.setInt(24, paramDocInfo.getDocapproveuserid());
        connStatement.setString(25, paramDocInfo.getDocapprovedate());
        connStatement.setString(26, paramDocInfo.getDocapprovetime());
        connStatement.setInt(27, paramDocInfo.getDocarchiveuserid());
        connStatement.setString(28, paramDocInfo.getDocarchivedate());
        connStatement.setString(29, paramDocInfo.getDocarchivetime());
        connStatement.setString(30, (paramDocInfo.getDocStatus() < 0) ? "" : (paramDocInfo.getDocStatus() + ""));
        connStatement.setInt(31, paramDocInfo.getAssetid());
        connStatement.setInt(32, paramDocInfo.getOwnerid());
        connStatement.setString(33, paramDocInfo.getKeyword());
        connStatement.setInt(34, paramDocInfo.getAccessorycount());
        connStatement.setInt(35, paramDocInfo.getReplaydoccount());
        connStatement.setString(36, (paramDocInfo.getDoccreatertype() < 0) ? "" : (paramDocInfo.getDoccreatertype() + ""));
        connStatement.setString(37, "");
        connStatement.setString(38, "");
        connStatement.setString(39, paramDocInfo.getDocCode());
        connStatement.setInt(40, paramDocInfo.getDocEdition());
        connStatement.setInt(41, paramDocInfo.getDocEditionId());
        connStatement.setInt(42, 0);
        connStatement.setInt(43, 0);
        connStatement.setInt(44, paramDocInfo.getMaindoc());
        connStatement.setInt(45, 0);
        connStatement.setInt(46, 0);
        connStatement.setString(47, "");
        connStatement.setString(48, "");
        connStatement.setInt(49, 0);
        connStatement.setString(50, "");
        connStatement.setString(51, "");
        connStatement.setInt(52, 0);
        connStatement.setString(53, "");
        connStatement.setString(54, "");
        connStatement.setInt(55, paramDocInfo.getDocinvaluserid());
        connStatement.setString(56, paramDocInfo.getDocinvaldate());
        connStatement.setString(57, paramDocInfo.getDocinvaltime());
        connStatement.setInt(58, paramDocInfo.getDoccanceluserid());
        connStatement.setString(59, paramDocInfo.getDoccanceldate());
        connStatement.setString(60, paramDocInfo.getDoccanceltime());
        connStatement.setInt(61, 0);
        connStatement.setString(62, paramDocInfo.getInvalidationdate());
        connStatement.setString(63, (paramDocInfo.getDoccreatertype() < 0) ? "" : (paramDocInfo.getDoccreatertype() + ""));
        connStatement.setString(64, (paramDocInfo.getDoclastmodusertype() < 0) ? "" : (paramDocInfo.getDoclastmodusertype() + ""));
        connStatement.setString(65, (paramDocInfo.getDocapproveusertype() < 0) ? "" : (paramDocInfo.getDocapproveusertype() + ""));
        connStatement.setString(66, "");
        connStatement.setString(67, (paramDocInfo.getDocinvalusertype() < 0) ? "" : (paramDocInfo.getDocinvalusertype() + ""));
        connStatement.setString(68, (paramDocInfo.getDocarchiveusertype() < 0) ? "" : (paramDocInfo.getDocarchiveusertype() + ""));
        connStatement.setString(69, (paramDocInfo.getDoccancelusertype() < 0) ? "" : (paramDocInfo.getDoccancelusertype() + ""));
        connStatement.setString(70, "");
        connStatement.setString(71, "");
        connStatement.setString(72, (paramDocInfo.getOwnertype() < 0) ? "" : (paramDocInfo.getOwnertype() + ""));
        connStatement.setInt(73, 0);
        connStatement.setInt(74, paramDocInfo.getId());
        connStatement.executeUpdate();
        str = "update DocDetailContent set doccontent=empty_clob() where docid=? ";
        connStatement.setStatementSql(str);
        connStatement.setInt(1, paramDocInfo.getId());
        connStatement.executeUpdate();
        str = "select doccontent from DocDetailContent where docid = " + paramDocInfo.getId();
        connStatement.setStatementSql(str, false);
        connStatement.executeQuery();
        connStatement.next();
        CLOB cLOB = connStatement.getClob(1);
        String str1 = paramDocInfo.getDoccontent();
        char[] arrayOfChar = str1.toCharArray();
        Writer writer = cLOB.getCharacterOutputStream();
        writer.write(arrayOfChar);
        writer.flush();
        writer.close();
        docDetailLog.resetParameter();
        docDetailLog.setDocId(paramDocInfo.getId());
        docDetailLog.setDocSubject(paramDocInfo.getDocSubject());
        docDetailLog.setOperateType("2");
        docDetailLog.setOperateUserid(paramUser.getUID());
        docDetailLog.setUsertype(paramUser.getLogintype());
        docDetailLog.setClientAddress(paramUser.getLoginip());
        docDetailLog.setDocCreater(paramDocInfo.getDoccreaterid());
        docDetailLog.setCreatertype(paramDocInfo.getDoccreatertype() + "");
        docDetailLog.setDocLogInfo();
      } catch (Exception exception) {
        writeLog(exception);
        throw exception;
      } finally {
        try {
          connStatement.close();
        } catch (Exception exception) {}
      } 
    } else {
      str = "update DocDetail set maincategory=?,subcategory=?,seccategory=?,doclangurage=?,docapprovable=?,docreplyable=?,isreply=?,replydocid=?,docsubject=?,doccontent=?,docpublishtype=?,itemid=?,itemmaincategoryid=?,hrmresid=?,crmid=?,projectid=?,financeid=?,doccreaterid=?,docdepartmentid=?,doccreatedate=?,doccreatetime=?,doclastmoduserid=?,doclastmoddate=?,doclastmodtime=?,docapproveuserid=?,docapprovedate=?,docapprovetime=?,docarchiveuserid=?,docarchivedate=?,docarchivetime=?,docstatus=?,assetid=?,ownerid=?,keyword=?,accessorycount=accessorycount+?,replaydoccount=?,usertype=?,cancopy=?,canremind=?,doccode=?,docedition=?,doceditionid=?,ishistory=?,approveType=?,maindoc=?,readoptercanprint=?,docvaliduserid=?,docvaliddate=?,docvalidtime=?,docpubuserid=?,docpubdate=?,docpubtime=?,docreopenuserid=?,docreopendate=?,docreopentime=?,docinvaluserid=?,docinvaldate=?,docinvaltime=?,doccanceluserid=?,doccanceldate=?,doccanceltime=?,selectedpubmouldid=?,invalidationdate=?,docCreaterType=?,docLastModUserType=?,docApproveUserType=?,docValidUserType=?,docInvalUserType=?,docArchiveUserType=?,docCancelUserType=?,docPubUserType=?,docReopenUserType=?,ownerType=?,canPrintedNum=? where id=?";
      try {
        connStatement.setStatementSql(str);
        connStatement.setInt(1, paramDocInfo.getMaincategory());
        connStatement.setInt(2, paramDocInfo.getSubcategory());
        connStatement.setInt(3, paramDocInfo.getSeccategory());
        connStatement.setInt(4, paramDocInfo.getDoclangurage());
        connStatement.setString(5, "");
        connStatement.setString(6, "");
        connStatement.setString(7, paramDocInfo.getIsreply());
        connStatement.setInt(8, paramDocInfo.getReplydocid());
        connStatement.setString(9, paramDocInfo.getDocSubject());
        connStatement.setString(10, paramDocInfo.getDoccontent());
        connStatement.setString(11, (paramDocInfo.getDocPublishType() < 0) ? "" : (paramDocInfo.getDocPublishType() + ""));
        connStatement.setInt(12, paramDocInfo.getItemid());
        connStatement.setInt(13, 0);
        connStatement.setInt(14, paramDocInfo.getHrmresid());
        connStatement.setInt(15, paramDocInfo.getCrmid());
        connStatement.setInt(16, paramDocInfo.getProjectid());
        connStatement.setInt(17, paramDocInfo.getFinanceid());
        connStatement.setInt(18, paramDocInfo.getDoccreaterid());
        connStatement.setInt(19, paramDocInfo.getDocdepartmentid());
        connStatement.setString(20, paramDocInfo.getDoccreatedate());
        connStatement.setString(21, paramDocInfo.getDoccreatetime());
        connStatement.setInt(22, paramDocInfo.getDoclastmoduserid());
        connStatement.setString(23, paramDocInfo.getDoclastmoddate());
        connStatement.setString(24, paramDocInfo.getDoclastmodtime());
        connStatement.setInt(25, paramDocInfo.getDocapproveuserid());
        connStatement.setString(26, paramDocInfo.getDocapprovedate());
        connStatement.setString(27, paramDocInfo.getDocapprovetime());
        connStatement.setInt(28, paramDocInfo.getDocarchiveuserid());
        connStatement.setString(29, paramDocInfo.getDocarchivedate());
        connStatement.setString(30, paramDocInfo.getDocarchivetime());
        connStatement.setString(31, (paramDocInfo.getDocStatus() < 0) ? "" : (paramDocInfo.getDocStatus() + ""));
        connStatement.setInt(32, paramDocInfo.getAssetid());
        connStatement.setInt(33, paramDocInfo.getOwnerid());
        connStatement.setString(34, paramDocInfo.getKeyword());
        connStatement.setInt(35, paramDocInfo.getAccessorycount());
        connStatement.setInt(36, paramDocInfo.getReplaydoccount());
        connStatement.setString(37, (paramDocInfo.getDoccreatertype() < 0) ? "" : (paramDocInfo.getDoccreatertype() + ""));
        connStatement.setString(38, "");
        connStatement.setString(39, "");
        connStatement.setString(40, paramDocInfo.getDocCode());
        connStatement.setInt(41, paramDocInfo.getDocEdition());
        connStatement.setInt(42, paramDocInfo.getDocEditionId());
        connStatement.setInt(43, 0);
        connStatement.setInt(44, 0);
        connStatement.setInt(45, paramDocInfo.getMaindoc());
        connStatement.setInt(46, 0);
        connStatement.setInt(47, 0);
        connStatement.setString(48, "");
        connStatement.setString(49, "");
        connStatement.setInt(50, 0);
        connStatement.setString(51, "");
        connStatement.setString(52, "");
        connStatement.setInt(53, 0);
        connStatement.setString(54, "");
        connStatement.setString(55, "");
        connStatement.setInt(56, paramDocInfo.getDocinvaluserid());
        connStatement.setString(57, paramDocInfo.getDocinvaldate());
        connStatement.setString(58, paramDocInfo.getDocinvaltime());
        connStatement.setInt(59, paramDocInfo.getDoccanceluserid());
        connStatement.setString(60, paramDocInfo.getDoccanceldate());
        connStatement.setString(61, paramDocInfo.getDoccanceltime());
        connStatement.setInt(62, 0);
        connStatement.setString(63, paramDocInfo.getInvalidationdate());
        connStatement.setString(64, (paramDocInfo.getDoccreatertype() < 0) ? "" : (paramDocInfo.getDoccreatertype() + ""));
        connStatement.setString(65, (paramDocInfo.getDoclastmodusertype() < 0) ? "" : (paramDocInfo.getDoclastmodusertype() + ""));
        connStatement.setString(66, (paramDocInfo.getDocapproveusertype() < 0) ? "" : (paramDocInfo.getDocapproveusertype() + ""));
        connStatement.setString(67, "");
        connStatement.setString(68, (paramDocInfo.getDocinvalusertype() < 0) ? "" : (paramDocInfo.getDocinvalusertype() + ""));
        connStatement.setString(69, (paramDocInfo.getDocarchiveusertype() < 0) ? "" : (paramDocInfo.getDocarchiveusertype() + ""));
        connStatement.setString(70, (paramDocInfo.getDoccancelusertype() < 0) ? "" : (paramDocInfo.getDoccancelusertype() + ""));
        connStatement.setString(71, "");
        connStatement.setString(72, "");
        connStatement.setString(73, (paramDocInfo.getOwnertype() < 0) ? "" : (paramDocInfo.getOwnertype() + ""));
        connStatement.setInt(74, 0);
        connStatement.setInt(75, paramDocInfo.getId());
        connStatement.executeUpdate();
        docDetailLog.resetParameter();
        docDetailLog.setDocId(paramDocInfo.getId());
        docDetailLog.setDocSubject(paramDocInfo.getDocSubject());
        docDetailLog.setOperateType("2");
        docDetailLog.setOperateUserid(paramUser.getUID());
        docDetailLog.setUsertype(paramUser.getLogintype());
        docDetailLog.setClientAddress(paramUser.getLoginip());
        docDetailLog.setDocCreater(paramDocInfo.getDoccreaterid());
        docDetailLog.setCreatertype((paramDocInfo.getDoccreatertype() < 0) ? "" : (paramDocInfo.getDoccreatertype() + ""));
        docDetailLog.setDocLogInfo();
      } catch (Exception exception) {
        writeLog(exception);
        throw exception;
      } finally {
        try {
          connStatement.close();
        } catch (Exception exception) {}
      } 
    } 
  }
  
  public int deleteDoc(int paramInt, String paramString) throws Exception {
    User user = (User)gutSessionId(paramString);
    return deleteDocByUser(paramInt, user);
  }
  
  public int deleteDocByUser(int paramInt, User paramUser) throws Exception {
    DocInfo docInfo = getDocByUser(paramInt, paramUser, "");
    if (paramUser != null && getRight(docInfo, paramUser, 3))
      try {
        ShareManager shareManager = new ShareManager();
        DocComInfo docComInfo = new DocComInfo();
        RecordSet recordSet = new RecordSet();
        String str1 = "delete from DocDetail where id=" + paramInt;
        String str2 = "delete from DocShare where docid=" + paramInt;
        String str3 = "delete from " + shareManager.getTableName("doc", "inner") + " where sourceid=" + paramInt;
        String str4 = "delete from " + shareManager.getTableName("doc", "outer") + " where sourceid=" + paramInt;
        String str5 = "delete from DocImageFile where docid=" + paramInt;
        String str6 = "delete from docreadtag where docid=" + paramInt;
        String str7 = "delete from DocDetailLog where docid=" + paramInt;
        DocImageManager docImageManager = new DocImageManager();
        docImageManager.setDocid(paramInt);
        docImageManager.DeleteAllDocImageInfo();
        recordSet.executeSql(str1);
        recordSet.executeSql(str2);
        recordSet.executeSql(str3);
        recordSet.executeSql(str4);
        recordSet.executeSql(str5);
        recordSet.executeSql(str6);
        recordSet.executeSql(str7);
        docComInfo.deleteDocInfoCache("" + paramInt);
        return 1;
      } catch (Exception exception) {
        writeLog(exception.toString());
      }  
    return 0;
  }
  
  public DocInfo getDoc(int paramInt, String paramString) throws Exception {
    User user = (User)gutSessionId(paramString);
    return getDocByUser(paramInt, user, "");
  }
  
  public DocInfo getDocByUser(int paramInt, User paramUser, String paramString) throws Exception {
    DocInfo docInfo = new DocInfo();
    docInfo.setId(paramInt);
    if (!getRight(docInfo, paramUser, 1))
      return null; 
    paramString = Util.null2String(paramString);
    paramString = "," + paramString + ",";
    if (paramUser != null) {
      RecordSet recordSet = new RecordSet();
      DocComInfo docComInfo = new DocComInfo();
      MainCategoryComInfo mainCategoryComInfo = new MainCategoryComInfo();
      SubCategoryComInfo subCategoryComInfo = new SubCategoryComInfo();
      SecCategoryComInfo secCategoryComInfo = new SecCategoryComInfo();
      DepartmentComInfo departmentComInfo = new DepartmentComInfo();
      LanguageComInfo languageComInfo = new LanguageComInfo();
      CustomerInfoComInfo customerInfoComInfo = new CustomerInfoComInfo();
      ResourceComInfo resourceComInfo = new ResourceComInfo();
      String str = "";
      if (recordSet.getDBType().equals("oracle")) {
        str = " select t1.* , t2.doccontent from DocDetail t1 , DocDetailContent t2 where t1.id = t2.docid and ";
      } else {
        str = " select * from DocDetail t1 where ";
      } 
      str = str + " t1.id = " + paramInt;
      recordSet.executeSql(str);
      if (recordSet.next()) {
        docInfo.setDocType(Util.getIntValue(Util.null2String(recordSet.getString("doctype")), 1));
        String str1 = Util.null2String(recordSet.getString("docsubject"));
        str1 = str1.replaceAll("\n", "");
        docInfo.setDocSubject(str1);
        docInfo.setDocCode(Util.null2String(recordSet.getString("docCode")));
        docInfo.setDocPublishType(Util.getIntValue(Util.null2String(recordSet.getString("docpublishtype")), 1));
        String str2 = "";
        if (docInfo.getDocPublishType() == 2) {
          str2 = SystemEnv.getHtmlLabelName(227, paramUser.getLanguage());
        } else if (docInfo.getDocPublishType() == 3) {
          str2 = SystemEnv.getHtmlLabelName(229, paramUser.getLanguage());
        } else {
          str2 = SystemEnv.getHtmlLabelName(58, paramUser.getLanguage());
        } 
        docInfo.setPublishable(str2);
        docInfo.setDocEdition(Util.getIntValue(Util.null2String(recordSet.getString("docEdition")), 0));
        docInfo.setDocEditionId(Util.getIntValue(Util.null2String(recordSet.getString("docEditionId"))));
        docInfo.setDocEditionStr(docComInfo.getEditionView(docInfo.getId()));
        docInfo.setDocStatus(Util.getIntValue(Util.null2String(recordSet.getString("docstatus"))));
        docInfo.setDocStatusStr(docComInfo.getStatusView(docInfo.getId(), paramUser));
        docInfo.setMaincategory(recordSet.getInt("maincategory"));
        docInfo.setMaincategoryStr(mainCategoryComInfo.getMainCategoryname(docInfo.getMaincategory() + ""));
        docInfo.setSubcategory(recordSet.getInt("subcategory"));
        docInfo.setSubcategoryStr(subCategoryComInfo.getSubCategoryname(docInfo.getSubcategory() + ""));
        docInfo.setSeccategory(recordSet.getInt("seccategory"));
        docInfo.setSeccategoryStr(secCategoryComInfo.getSecCategoryname(docInfo.getSeccategory() + ""));
        docInfo.setAllParentName(secCategoryComInfo.getAllParentName(docInfo.getSeccategory() + "", true));
        docInfo.setDocdepartmentid(recordSet.getInt("docdepartmentid"));
        docInfo.setDocdepartmentStr(departmentComInfo.getDepartmentname(docInfo.getDocdepartmentid() + ""));
        docInfo.setDoclangurage(recordSet.getInt("doclangurage"));
        docInfo.setDoclangurageStr(languageComInfo.getLanguagename(docInfo.getDoclangurage() + ""));
        docInfo.setKeyword(Util.null2String(recordSet.getString("keyword")));
        docInfo.setDoccreaterid(recordSet.getInt("doccreaterid"));
        docInfo.setDoccreatertype(Util.getIntValue(Util.null2String(recordSet.getString("docCreaterType"))));
        docInfo.setDoccreatername((docInfo.getDoccreatertype() == 1) ? resourceComInfo.getResourcename(docInfo.getDoccreaterid() + "") : customerInfoComInfo.getCustomerInfoname(docInfo.getDoccreaterid() + ""));
        docInfo.setDoccreatedate(Util.null2String(recordSet.getString("doccreatedate")));
        docInfo.setDoccreatetime(Util.null2String(recordSet.getString("doccreatetime")));
        docInfo.setDoclastmoduserid(recordSet.getInt("doclastmoduserid"));
        docInfo.setDoclastmodusertype(Util.getIntValue(Util.null2String(recordSet.getString("docLastModUserType"))));
        docInfo.setDoclastmodusername((docInfo.getDoclastmodusertype() == 1) ? resourceComInfo.getResourcename(docInfo.getDoclastmoduserid() + "") : customerInfoComInfo.getCustomerInfoname(docInfo.getDoclastmoduserid() + ""));
        docInfo.setDoclastmoddate(Util.null2String(recordSet.getString("doclastmoddate")));
        docInfo.setDoclastmodtime(Util.null2String(recordSet.getString("doclastmodtime")));
        docInfo.setDocapproveuserid(recordSet.getInt("docapproveuserid"));
        docInfo.setDocapproveusertype(Util.getIntValue(Util.null2String(recordSet.getString("docApproveUserType"))));
        docInfo.setDocapproveusername((docInfo.getDocapproveusertype() == 1) ? resourceComInfo.getResourcename(docInfo.getDocapproveuserid() + "") : customerInfoComInfo.getCustomerInfoname(docInfo.getDocapproveuserid() + ""));
        docInfo.setDocapprovedate(Util.null2String(recordSet.getString("docapprovedate")));
        docInfo.setDocapprovetime(Util.null2String(recordSet.getString("docapprovetime")));
        docInfo.setDocinvaluserid(recordSet.getInt("docInvalUserId"));
        docInfo.setDocinvalusertype(Util.getIntValue(Util.null2String(recordSet.getString("docInvalUserType"))));
        docInfo.setDocinvalusername((docInfo.getDocinvalusertype() == 1) ? resourceComInfo.getResourcename(docInfo.getDocinvaluserid() + "") : customerInfoComInfo.getCustomerInfoname(docInfo.getDocinvaluserid() + ""));
        docInfo.setDocinvaldate(Util.null2String(recordSet.getString("docInvalDate")));
        docInfo.setDocinvaltime(Util.null2String(recordSet.getString("docInvalTime")));
        docInfo.setDocarchiveuserid(recordSet.getInt("docarchiveuserid"));
        docInfo.setDocarchiveusertype(Util.getIntValue(Util.null2String(recordSet.getString("docArchiveUserType"))));
        docInfo.setDocarchiveusername((docInfo.getDocarchiveusertype() == 1) ? resourceComInfo.getResourcename(docInfo.getDocarchiveuserid() + "") : customerInfoComInfo.getCustomerInfoname(docInfo.getDocarchiveuserid() + ""));
        docInfo.setDocarchivedate(Util.null2String(recordSet.getString("docarchivedate")));
        docInfo.setDocarchivetime(Util.null2String(recordSet.getString("docarchivetime")));
        docInfo.setDoccanceluserid(recordSet.getInt("docCancelUserId"));
        docInfo.setDoccancelusertype(Util.getIntValue(Util.null2String(recordSet.getString("docCancelUserType"))));
        docInfo.setDoccancelusername((docInfo.getDoccancelusertype() == 1) ? resourceComInfo.getResourcename(docInfo.getDoccanceluserid() + "") : customerInfoComInfo.getCustomerInfoname(docInfo.getDoccanceluserid() + ""));
        docInfo.setDoccanceldate(Util.null2String(recordSet.getString("docCancelDate")));
        docInfo.setDoccanceltime(Util.null2String(recordSet.getString("docCancelTime")));
        docInfo.setMaindoc(recordSet.getInt("mainDoc"));
        docInfo.setMaindocname((docInfo.getMaindoc() == docInfo.getId()) ? (SystemEnv.getHtmlLabelName(524, paramUser.getLanguage()) + SystemEnv.getHtmlLabelName(58, paramUser.getLanguage())) : docComInfo.getDocname(docInfo.getMaindoc() + ""));
        if (paramString.indexOf(",getChildDocInfo,") == -1) {
          Map map = getChildDocInfo(docInfo);
          docInfo.setChilddoc((int[])map.get("childdocids"));
          docInfo.setChiledocname((String[])map.get("chiledocnames"));
        } 
        docInfo.setOwnerid(recordSet.getInt("ownerid"));
        docInfo.setOwnertype(Util.getIntValue(Util.null2String(recordSet.getString("ownerType"))));
        docInfo.setOwnername((docInfo.getOwnertype() == 1) ? resourceComInfo.getResourcename(docInfo.getOwnerid() + "") : customerInfoComInfo.getCustomerInfoname(docInfo.getOwnerid() + ""));
        docInfo.setInvalidationdate(Util.null2String(recordSet.getString("invalidationdate")));
        if (paramString.indexOf(",getDummy,") == -1) {
          Map map = getDummy(docInfo);
          docInfo.setDummyIds((int[])map.get("dummyIds"));
          docInfo.setDummyNames((String[])map.get("dummyNames"));
        } 
        docInfo.setDoccustomfields(getCustomFieldInfo(docInfo, paramUser));
        docInfo.setHrmresid(recordSet.getInt("hrmresid"));
        docInfo.setAssetid(recordSet.getInt("assetid"));
        docInfo.setCrmid(recordSet.getInt("hrmresid"));
        docInfo.setItemid(recordSet.getInt("itemid"));
        docInfo.setProjectid(recordSet.getInt("projectid"));
        docInfo.setFinanceid(recordSet.getInt("financeid"));
        if (paramString.indexOf(",getDoccontent,") == -1) {
          String str3 = Util.toBaseEncoding(recordSet.getString("doccontent"), paramUser.getLanguage(), "1");
          if (docInfo.getDocPublishType() == 2) {
            int i = str3.indexOf("!@#$%^&*");
            if (i != -1)
              str3 = str3.substring(i + 8, str3.length()); 
          } 
          docInfo.setDoccontent(str3);
        } 
        if (paramString.indexOf(",getExtDocInfo,") == -1 && 
          docInfo.getDocType() == 2) {
          Map map = getExtDocInfo(docInfo);
          docInfo.setVersionId(Util.getIntValue((String)map.get("versionId")));
          docInfo.setImagefileId(Util.getIntValue((String)map.get("imageFileId")));
        } 
        docInfo.setIsreply(recordSet.getString("isreply"));
        docInfo.setReplydocid(recordSet.getInt("replydocid"));
        docInfo.setAccessorycount(recordSet.getInt("accessorycount"));
        docInfo.setReplaydoccount(recordSet.getInt("replaydoccount"));
        if (paramString.indexOf(",getAttachment,") == -1) {
          DocAttachment[] arrayOfDocAttachment = getAttachment(docInfo);
          docInfo.setAttachments(arrayOfDocAttachment);
        } 
        if (paramString.indexOf(",getPictures,") == -1) {
          DocAttachment[] arrayOfDocAttachment = getPictures(docInfo);
          docInfo.setPictures(arrayOfDocAttachment);
        } 
      } 
    } 
    return docInfo;
  }
  
  public int getDocCount(String paramString) throws Exception {
    User user = (User)gutSessionId(paramString);
    return getDocCountByUser(user);
  }
  
  public int getDocCountByUser(User paramUser) throws Exception {
    if (paramUser != null) {
      RecordSet recordSet = new RecordSet();
      ShareManager shareManager = new ShareManager();
      String str = "";
      if (recordSet.getDBType().equals("oracle")) {
        str = " from DocDetail t1," + shareManager.getShareDetailTableByUser("doc", paramUser) + " t2,DocDetailContent t3 where t1.id = t2.sourceid and t1.id = t3.docid ";
      } else {
        str = " from DocDetail t1," + shareManager.getShareDetailTableByUser("doc", paramUser) + " t2 where t1.id = t2.sourceid ";
      } 
      str = str + " and ((docstatus = 7 and (sharelevel>1 or (t1.doccreaterid=" + paramUser.getUID() + ")) ) or t1.docstatus in ('1','2','5')) ";
      str = str + "  and seccategory!=0 and (ishistory is null or ishistory = 0) ";
      str = " select count(*) as c " + str;
      writeLog("getDocCount: sql = " + str);
      recordSet.executeSql(str);
      if (recordSet.next())
        return recordSet.getInt("c"); 
    } 
    return 0;
  }
  
  public DocInfo[] getList(String paramString, int paramInt1, int paramInt2) throws Exception {
    User user = (User)gutSessionId(paramString);
    ArrayList<DocInfo> arrayList = new ArrayList();
    if (user != null) {
      RecordSet recordSet = new RecordSet();
      ShareManager shareManager = new ShareManager();
      DocComInfo docComInfo = new DocComInfo();
      MainCategoryComInfo mainCategoryComInfo = new MainCategoryComInfo();
      SubCategoryComInfo subCategoryComInfo = new SubCategoryComInfo();
      SecCategoryComInfo secCategoryComInfo = new SecCategoryComInfo();
      DepartmentComInfo departmentComInfo = new DepartmentComInfo();
      LanguageComInfo languageComInfo = new LanguageComInfo();
      CustomerInfoComInfo customerInfoComInfo = new CustomerInfoComInfo();
      ResourceComInfo resourceComInfo = new ResourceComInfo();
      String str = "";
      if (recordSet.getDBType().equals("oracle")) {
        str = " t1.*,t2.sharelevel,t3.doccontent from DocDetail t1," + shareManager.getShareDetailTableByUser("doc", user) + " t2,DocDetailContent t3 where t1.id = t2.sourceid and t1.id = t3.docid ";
      } else {
        str = " t1.*,t2.sharelevel from DocDetail t1," + shareManager.getShareDetailTableByUser("doc", user) + " t2 where t1.id = t2.sourceid ";
      } 
      str = str + " and ((docstatus = 7 and (sharelevel>1 or (t1.doccreaterid=" + user.getUID() + ")) ) or t1.docstatus in ('1','2','5')) ";
      str = str + "  and seccategory!=0 and (ishistory is null or ishistory = 0) ";
      str = str + " order by doclastmoddate desc,doclastmodtime desc,id desc";
      int i = 0;
      int j = 0;
      int k = paramInt1;
      int m = paramInt2;
      if (paramInt1 > 0 && paramInt2 > 0) {
        if (recordSet.getDBType().equals("oracle")) {
          str = " select " + str;
          str = "select * from ( select row_.*, rownum rownum_ from ( " + str + " ) row_ where rownum <= " + (paramInt1 * paramInt2 + paramInt2) + ") where rownum_ > " + (paramInt1 * paramInt2);
        } else if (paramInt1 > 1) {
          i = m * k;
          j = m;
          int n = getDocCountByUser(user);
          if (i > n) {
            i = n;
            j = n - m * (k - 1);
          } 
          String str1 = "order by doclastmoddate asc,doclastmodtime asc,id asc";
          String str2 = "order by doclastmoddate desc,doclastmodtime desc,id desc";
          str = " select top " + j + " * from ( select top " + j + " * from (  select  top " + i + " " + str + " " + ") tbltemp1 " + str1 + " ) tbltemp2 " + str2;
        } else {
          str = " select top " + paramInt2 + str;
        } 
      } else {
        str = " select " + str;
      } 
      recordSet.executeSql(str);
      while (recordSet.next()) {
        DocInfo docInfo = new DocInfo();
        docInfo.setId(Util.getIntValue(Util.null2String(recordSet.getString("id"))));
        docInfo.setDocType(Util.getIntValue(Util.null2String(recordSet.getString("doctype")), 1));
        String str1 = Util.null2String(recordSet.getString("docsubject"));
        str1 = str1.replaceAll("\n", "");
        docInfo.setDocSubject(str1);
        docInfo.setDocCode(Util.null2String(recordSet.getString("docCode")));
        docInfo.setDocPublishType(Util.getIntValue(Util.null2String(recordSet.getString("docpublishtype")), 1));
        String str2 = "";
        if (docInfo.getDocPublishType() == 2) {
          str2 = SystemEnv.getHtmlLabelName(227, user.getLanguage());
        } else if (docInfo.getDocPublishType() == 3) {
          str2 = SystemEnv.getHtmlLabelName(229, user.getLanguage());
        } else {
          str2 = SystemEnv.getHtmlLabelName(58, user.getLanguage());
        } 
        docInfo.setPublishable(str2);
        docInfo.setDocEdition(Util.getIntValue(Util.null2String(recordSet.getString("docEdition")), 0));
        docInfo.setDocEditionId(Util.getIntValue(Util.null2String(recordSet.getString("docEditionId"))));
        docInfo.setDocEditionStr(docComInfo.getEditionView(docInfo.getId()));
        docInfo.setDocStatus(Util.getIntValue(Util.null2String(recordSet.getString("docstatus"))));
        docInfo.setDocStatusStr(docComInfo.getStatusView(docInfo.getId(), user));
        docInfo.setMaincategory(recordSet.getInt("maincategory"));
        docInfo.setMaincategoryStr(mainCategoryComInfo.getMainCategoryname(docInfo.getMaincategory() + ""));
        docInfo.setSubcategory(recordSet.getInt("subcategory"));
        docInfo.setSubcategoryStr(subCategoryComInfo.getSubCategoryname(docInfo.getSubcategory() + ""));
        docInfo.setSeccategory(recordSet.getInt("seccategory"));
        docInfo.setSeccategoryStr(secCategoryComInfo.getSecCategoryname(docInfo.getSeccategory() + ""));
        docInfo.setDocdepartmentid(recordSet.getInt("docdepartmentid"));
        docInfo.setDocdepartmentStr(departmentComInfo.getDepartmentname(docInfo.getDocdepartmentid() + ""));
        docInfo.setDoclangurage(recordSet.getInt("doclangurage"));
        docInfo.setDoclangurageStr(languageComInfo.getLanguagename(docInfo.getDoclangurage() + ""));
        docInfo.setKeyword(Util.null2String(recordSet.getString("keyword")));
        docInfo.setDoccreaterid(recordSet.getInt("doccreaterid"));
        docInfo.setDoccreatertype(Util.getIntValue(Util.null2String(recordSet.getString("docCreaterType"))));
        docInfo.setDoccreatername((docInfo.getDoccreatertype() == 1) ? resourceComInfo.getResourcename(docInfo.getDoccreaterid() + "") : customerInfoComInfo.getCustomerInfoname(docInfo.getDoccreaterid() + ""));
        docInfo.setDoccreatedate(Util.null2String(recordSet.getString("doccreatedate")));
        docInfo.setDoccreatetime(Util.null2String(recordSet.getString("doccreatetime")));
        docInfo.setDoclastmoduserid(recordSet.getInt("doclastmoduserid"));
        docInfo.setDoclastmodusertype(Util.getIntValue(Util.null2String(recordSet.getString("docLastModUserType"))));
        docInfo.setDoclastmodusername((docInfo.getDoclastmodusertype() == 1) ? resourceComInfo.getResourcename(docInfo.getDoclastmoduserid() + "") : customerInfoComInfo.getCustomerInfoname(docInfo.getDoclastmoduserid() + ""));
        docInfo.setDoclastmoddate(Util.null2String(recordSet.getString("doclastmoddate")));
        docInfo.setDoclastmodtime(Util.null2String(recordSet.getString("doclastmodtime")));
        docInfo.setDocapproveuserid(recordSet.getInt("docapproveuserid"));
        docInfo.setDocapproveusertype(Util.getIntValue(Util.null2String(recordSet.getString("docApproveUserType"))));
        docInfo.setDocapproveusername((docInfo.getDocapproveusertype() == 1) ? resourceComInfo.getResourcename(docInfo.getDocapproveuserid() + "") : customerInfoComInfo.getCustomerInfoname(docInfo.getDocapproveuserid() + ""));
        docInfo.setDocapprovedate(Util.null2String(recordSet.getString("docapprovedate")));
        docInfo.setDocapprovetime(Util.null2String(recordSet.getString("docapprovetime")));
        docInfo.setDocinvaluserid(recordSet.getInt("docInvalUserId"));
        docInfo.setDocinvalusertype(Util.getIntValue(Util.null2String(recordSet.getString("docInvalUserType"))));
        docInfo.setDocinvalusername((docInfo.getDocinvalusertype() == 1) ? resourceComInfo.getResourcename(docInfo.getDocinvaluserid() + "") : customerInfoComInfo.getCustomerInfoname(docInfo.getDocinvaluserid() + ""));
        docInfo.setDocinvaldate(Util.null2String(recordSet.getString("docInvalDate")));
        docInfo.setDocinvaltime(Util.null2String(recordSet.getString("docInvalTime")));
        docInfo.setDocarchiveuserid(recordSet.getInt("docarchiveuserid"));
        docInfo.setDocarchiveusertype(Util.getIntValue(Util.null2String(recordSet.getString("docArchiveUserType"))));
        docInfo.setDocarchiveusername((docInfo.getDocarchiveusertype() == 1) ? resourceComInfo.getResourcename(docInfo.getDocarchiveuserid() + "") : customerInfoComInfo.getCustomerInfoname(docInfo.getDocarchiveuserid() + ""));
        docInfo.setDocarchivedate(Util.null2String(recordSet.getString("docarchivedate")));
        docInfo.setDocarchivetime(Util.null2String(recordSet.getString("docarchivetime")));
        docInfo.setDoccanceluserid(recordSet.getInt("docCancelUserId"));
        docInfo.setDoccancelusertype(Util.getIntValue(Util.null2String(recordSet.getString("docCancelUserType"))));
        docInfo.setDoccancelusername((docInfo.getDoccancelusertype() == 1) ? resourceComInfo.getResourcename(docInfo.getDoccanceluserid() + "") : customerInfoComInfo.getCustomerInfoname(docInfo.getDoccanceluserid() + ""));
        docInfo.setDoccanceldate(Util.null2String(recordSet.getString("docCancelDate")));
        docInfo.setDoccanceltime(Util.null2String(recordSet.getString("docCancelTime")));
        docInfo.setMaindoc(recordSet.getInt("mainDoc"));
        docInfo.setMaindocname((docInfo.getMaindoc() == docInfo.getId()) ? (SystemEnv.getHtmlLabelName(524, user.getLanguage()) + SystemEnv.getHtmlLabelName(58, user.getLanguage())) : docComInfo.getDocname(docInfo.getMaindoc() + ""));
        Map map1 = getChildDocInfo(docInfo);
        docInfo.setChilddoc((int[])map1.get("childdocids"));
        docInfo.setChiledocname((String[])map1.get("chiledocnames"));
        docInfo.setOwnerid(recordSet.getInt("ownerid"));
        docInfo.setOwnertype(Util.getIntValue(Util.null2String(recordSet.getString("ownerType"))));
        docInfo.setOwnername((docInfo.getOwnertype() == 1) ? resourceComInfo.getResourcename(docInfo.getOwnerid() + "") : customerInfoComInfo.getCustomerInfoname(docInfo.getOwnerid() + ""));
        docInfo.setInvalidationdate(Util.null2String(recordSet.getString("invalidationdate")));
        Map map2 = getDummy(docInfo);
        docInfo.setDummyIds((int[])map2.get("dummyIds"));
        docInfo.setDummyNames((String[])map2.get("dummyNames"));
        docInfo.setHrmresid(recordSet.getInt("hrmresid"));
        docInfo.setAssetid(recordSet.getInt("assetid"));
        docInfo.setCrmid(recordSet.getInt("hrmresid"));
        docInfo.setItemid(recordSet.getInt("itemid"));
        docInfo.setProjectid(recordSet.getInt("projectid"));
        docInfo.setFinanceid(recordSet.getInt("financeid"));
        if (docInfo.getDocType() == 2) {
          Map map = getExtDocInfo(docInfo);
          docInfo.setVersionId(Util.getIntValue((String)map.get("versionId")));
          docInfo.setImagefileId(Util.getIntValue((String)map.get("imageFileId")));
        } 
        docInfo.setIsreply(recordSet.getString("isreply"));
        docInfo.setReplydocid(recordSet.getInt("replydocid"));
        docInfo.setAccessorycount(recordSet.getInt("accessorycount"));
        docInfo.setReplaydoccount(recordSet.getInt("replaydoccount"));
        arrayList.add(docInfo);
      } 
    } 
    DocInfo[] arrayOfDocInfo = new DocInfo[arrayList.size()];
    for (byte b = 0; b < arrayList.size(); b++)
      arrayOfDocInfo[b] = arrayList.get(b); 
    return arrayOfDocInfo;
  }
  
  private DocAttachment saveAttachment(DocAttachment paramDocAttachment) throws Exception {
    int i = 0;
    paramDocAttachment = writeAttachment(paramDocAttachment);
    if (paramDocAttachment == null)
      return null; 
    int j = paramDocAttachment.getImagefilesize();
    String str1 = paramDocAttachment.getFilerealpath();
    String str2 = "1";
    String str3 = paramDocAttachment.getIszip() + "";
    String str4 = "0";
    String str5 = paramDocAttachment.getFilename();
    String str6 = paramDocAttachment.getFiletype();
    int k = paramDocAttachment.getIsAesEncrype();
    String str7 = paramDocAttachment.getAesCode();
    RecordSet recordSet = new RecordSet();
    char c = Util.getSeparator();
    i = imageFileIdUpdate.getImageFileNewId();
    String str8 = "" + i + c + str5 + c + str6 + c + str2 + c + str1 + c + str3 + c + str4 + c + j;
    recordSet.executeProc("ImageFile_Insert", str8);
    recordSet.executeSql("update ImageFile set isaesencrypt=" + k + ",aescode='" + str7 + "' where imagefileid=" + i);
    paramDocAttachment.setImagefileid(i);
    BufferedInputStream bufferedInputStream = null;
    try {
      if (str6.indexOf("image") != -1) {
        InputStream inputStream;
        File file = new File(str1);
        if (paramDocAttachment.getIszip() == 1) {
          ZipInputStream zipInputStream = new ZipInputStream(new FileInputStream(file));
          if (zipInputStream.getNextEntry() != null)
            bufferedInputStream = new BufferedInputStream(zipInputStream); 
        } else {
          bufferedInputStream = new BufferedInputStream(new FileInputStream(file));
        } 
        if (k == 1)
          inputStream = AESCoder.decrypt(bufferedInputStream, str7); 
        ImageInfo imageInfo = new ImageInfo();
        imageInfo.setInput(inputStream);
        if (!imageInfo.check()) {
          paramDocAttachment.setImagefilewidth(0);
          paramDocAttachment.setImagefileheight(0);
        } else {
          paramDocAttachment.setImagefilewidth(imageInfo.getWidth());
          paramDocAttachment.setImagefileheight(imageInfo.getHeight());
        } 
      } else {
        paramDocAttachment.setImagefilewidth(0);
        paramDocAttachment.setImagefileheight(0);
      } 
    } catch (Exception exception) {
      paramDocAttachment.setImagefilewidth(0);
      paramDocAttachment.setImagefileheight(0);
    } 
    return paramDocAttachment;
  }
  
  private DocAttachment writeAttachment(DocAttachment paramDocAttachment) throws Exception {
    DefaultFileRenamePolicy defaultFileRenamePolicy = new DefaultFileRenamePolicy();
    SystemComInfo systemComInfo = new SystemComInfo();
    OutputStream outputStream = null;
    BufferedInputStream bufferedInputStream = null;
    try {
      boolean bool = false;
      if (systemComInfo.getNeedzip().equals("1"))
        bool = true; 
      paramDocAttachment.setIszip(bool ? 1 : 0);
      String str1 = systemComInfo.getIsaesencrypt();
      String str2 = Util.getRandomString(13);
      paramDocAttachment.setIsAesEncrype(Util.getIntValue(str1, 0));
      paramDocAttachment.setAesCode(str2);
      if (paramDocAttachment.getFilecontent() != null && !"".equals(paramDocAttachment.getFilecontent())) {
        byte[] arrayOfByte = Base64.decode(paramDocAttachment.getFilecontent());
        bufferedInputStream = new BufferedInputStream(new ByteArrayInputStream(arrayOfByte));
      } else {
        File file = new File(paramDocAttachment.getFilerealpath());
        if (paramDocAttachment.getFilename() == null || "".equals(paramDocAttachment.getFilename()))
          paramDocAttachment.setFilename(getFileMainName(file.getName())); 
        bufferedInputStream = new BufferedInputStream(new FileInputStream(file));
      } 
      String str3 = FileUpload.getCreateDir(systemComInfo.getFilesystem());
      if (str3 != null)
        FileManage.createDir(str3); 
      String str4 = null;
      String str5 = null;
      str4 = Util.getRandom();
      if (str4 != null) {
        if (bool) {
          str5 = str4;
          String str = null;
          int k = str4.lastIndexOf(".");
          if (k != -1) {
            str = str4.substring(0, k);
          } else {
            str = str4;
          } 
          str4 = str + ".zip";
        } 
        File file = new File(new String(str3.getBytes("ISO8859_1"), "UTF-8"), new String(str4.getBytes("ISO8859_1"), "UTF-8"));
        paramDocAttachment.setFilerealpath(file.getPath());
        if (defaultFileRenamePolicy != null) {
          file = defaultFileRenamePolicy.rename(file);
          str4 = new String(file.getName().getBytes("UTF-8"), "ISO8859_1");
        } 
        if (bool) {
          ZipOutputStream zipOutputStream = new ZipOutputStream(new BufferedOutputStream(new FileOutputStream(file)));
          zipOutputStream.setMethod(8);
          zipOutputStream.putNextEntry(new ZipEntry(new String(str5.getBytes("UTF-8"), "ISO8859_1")));
          outputStream = zipOutputStream;
        } else {
          outputStream = new BufferedOutputStream(new FileOutputStream(file));
        } 
        if (str1.equals("1"))
          outputStream = AESCoder.encrypt(outputStream, str2); 
        int i = 0;
        byte[] arrayOfByte = new byte[8192];
        int j;
        while ((j = bufferedInputStream.read(arrayOfByte)) != -1) {
          outputStream.write(arrayOfByte, 0, j);
          i += j;
        } 
        outputStream.flush();
        paramDocAttachment.setImagefilesize(i);
        return paramDocAttachment;
      } 
    } catch (IOException iOException) {
      writeLog("Write Attachment File Error:", iOException);
    } finally {
      if (outputStream != null)
        outputStream.close(); 
      if (bufferedInputStream != null)
        bufferedInputStream.close(); 
    } 
    return null;
  }
  
  private String getFileMainName(String paramString) {
    if (paramString == null)
      return ""; 
    int i = paramString.lastIndexOf(".");
    if (i != -1)
      paramString = paramString.substring(0, i); 
    return paramString;
  }
  
  private String getFileExt(String paramString) {
    if (paramString == null || paramString.trim().equals(""))
      return ""; 
    int i = paramString.lastIndexOf(".");
    if (i == -1)
      return ""; 
    if (i + 1 >= paramString.length())
      return ""; 
    return paramString.substring(i + 1);
  }
  
  private boolean getRight(DocInfo paramDocInfo, User paramUser, int paramInt) throws Exception {
    RecordSet recordSet = new RecordSet();
    boolean bool1 = false;
    DocManager docManager = new DocManager();
    String str1 = "";
    int i = 0;
    int j = 0;
    String str2 = "";
    docManager.resetParameter();
    docManager.setId(paramDocInfo.getId());
    docManager.getDocInfoById();
    str1 = docManager.getDocstatus();
    i = docManager.getIsHistory();
    j = docManager.getSeccategory();
    str2 = docManager.getDocpublishtype();
    if (str2 != null && (str2.equals("2") || str2.equals("3"))) {
      String str10 = "";
      String str11 = " select 1 from DocDetail where id=" + paramDocInfo.getId() + " ";
      String str12 = "";
      boolean bool = false;
      recordSet.executeSql("select newsClause from DocFrontPage where publishType='0'");
      while (recordSet.next()) {
        bool = true;
        str10 = Util.null2String(recordSet.getString("newsClause"));
        if (str10.equals(""))
          str10 = " 1=1 "; 
        if (!str10.trim().equals(""))
          str12 = str12 + " or (" + str10 + ")"; 
      } 
      if (!str12.equals("")) {
        str12 = str12.substring(str12.indexOf("("));
        str11 = str11 + " and (" + str12 + ") ";
      } 
      if (bool) {
        recordSet.executeSql(str11);
        if (recordSet.next())
          bool1 = true; 
      } 
    } 
    if (paramUser == null)
      return false; 
    String str3 = "" + paramUser.getUID();
    String str4 = paramUser.getLogintype();
    String str5 = paramUser.getSeclevel();
    String str6 = "" + paramUser.getType();
    String str7 = "" + paramUser.getUserDepartment();
    String str8 = "" + paramUser.getUserSubCompany1();
    String str9 = str4 + "_" + str3 + "_" + str5 + "_" + str6 + "_" + str7 + "_" + str8;
    ArrayList<String> arrayList = null;
    SpopForDoc spopForDoc = new SpopForDoc();
    arrayList = spopForDoc.getDocOpratePopedom("" + paramDocInfo.getId(), str9);
    SecCategoryComInfo secCategoryComInfo = new SecCategoryComInfo();
    boolean bool2 = false;
    boolean bool3 = false;
    boolean bool4 = false;
    if (((String)arrayList.get(0)).equals("true"))
      bool2 = true; 
    if (((String)arrayList.get(1)).equals("true"))
      bool3 = true; 
    if (((String)arrayList.get(2)).equals("true"))
      bool4 = true; 
    if (bool2 && ((bool3 && !str1.equals("8")) || (str1.equals("7") && i == 1 && secCategoryComInfo.isReaderCanViewHistoryEdition(j)) || str1.equals("1") || str1.equals("2") || str1.equals("3") || str1.equals("9") || str1.equals("0") || str1.equals("5"))) {
      bool2 = true;
    } else {
      bool2 = false;
    } 
    if (i == 1)
      if (secCategoryComInfo.isReaderCanViewHistoryEdition(j)) {
        if (bool2 && !bool3)
          bool2 = true; 
      } else if (bool2 && !bool3) {
        bool2 = false;
      }  
    if (bool3 && (str1.equals("3") || str1.equals("5") || str1.equals("6") || i == 1)) {
      bool3 = false;
      bool2 = true;
    } 
    if (bool3 && (str1.equals("0") || str1.equals("1") || str1.equals("2") || str1.equals("7")) && i != 1) {
      bool3 = true;
    } else {
      bool3 = false;
    } 
    if (paramInt == 1)
      return bool2; 
    if (paramInt == 2)
      return bool1; 
    if (paramInt == 3)
      return bool4; 
    return bool3;
  }
  
  private DocAttachment[] getAttachment(DocInfo paramDocInfo) throws Exception {
    ArrayList<DocAttachment> arrayList = new ArrayList();
    ImageFileManager imageFileManager = new ImageFileManager();
    DocImageManager docImageManager = new DocImageManager();
    docImageManager.resetParameter();
    docImageManager.setDocid(paramDocInfo.getId());
    docImageManager.selectDocImageInfo2();
    while (docImageManager.next()) {
      int i = Util.getIntValue(docImageManager.getImagefileid());
      if (i < 1)
        continue; 
      DocAttachment docAttachment = new DocAttachment();
      docAttachment.setDocImageFileId(docImageManager.getId());
      docAttachment.setDocid(paramDocInfo.getId());
      docAttachment.setImagefileid(i);
      docAttachment.setImagefilename(docImageManager.getImagefilename());
      docAttachment.setImagefiledesc(docImageManager.getImagefiledesc());
      docAttachment.setImagefilewidth(docImageManager.getimagefilewidth());
      docAttachment.setImagefileheight(docImageManager.getImagefileheight());
      docAttachment.setImagefilesize(docImageManager.getImagefielsize());
      docAttachment.setDocfiletype(docImageManager.getDocfiletype());
      docAttachment.setVersionId(docImageManager.getVersionId());
      docAttachment.setVersionDetail(docImageManager.getVersionDetail());
      docAttachment.setIsextfile(docImageManager.getIsextfile());
      byte[] arrayOfByte = new byte[1024];
      InputStream inputStream = null;
      imageFileManager.getImageFileInfoById(i);
      inputStream = imageFileManager.getInputStream();
      if (inputStream != null) {
        docAttachment.setFilename(imageFileManager.getImageFileName());
        docAttachment.setFiletype(imageFileManager.getImageFileType());
        docAttachment.setFilerealpath(imageFileManager.getFileRealPath());
        docAttachment.setIszip(Util.getIntValue(imageFileManager.getIsZip()));
        docAttachment.setIsencrype(Util.getIntValue(imageFileManager.getIsencrypt()));
        docAttachment.setIsAesEncrype(imageFileManager.getIsaesencrypt());
        docAttachment.setAesCode(imageFileManager.getAescode());
        String str = "";
        ByteArrayOutputStream byteArrayOutputStream = null;
        try {
          byteArrayOutputStream = new ByteArrayOutputStream();
          int j;
          while ((j = inputStream.read(arrayOfByte)) != -1) {
            byteArrayOutputStream.write(arrayOfByte, 0, j);
            byteArrayOutputStream.flush();
          } 
          str = Base64.encode(byteArrayOutputStream.toByteArray());
        } catch (Exception exception) {
        
        } finally {
          if (inputStream != null)
            inputStream.close(); 
          if (byteArrayOutputStream != null)
            byteArrayOutputStream.flush(); 
          if (byteArrayOutputStream != null)
            byteArrayOutputStream.close(); 
        } 
        docAttachment.setFilecontent(str);
      } 
      arrayList.add(docAttachment);
    } 
    DocAttachment[] arrayOfDocAttachment = new DocAttachment[arrayList.size()];
    for (byte b = 0; b < arrayList.size(); b++)
      arrayOfDocAttachment[b] = arrayList.get(b); 
    return arrayOfDocAttachment;
  }
  
  private DocAttachment[] getPictures(DocInfo paramDocInfo) throws Exception {
    ArrayList<DocAttachment> arrayList = new ArrayList();
    DocImageManager docImageManager = new DocImageManager();
    docImageManager.resetParameter();
    docImageManager.setDocid(paramDocInfo.getId());
    docImageManager.selectDocPictures();
    while (docImageManager.next()) {
      int i = Util.getIntValue(docImageManager.getImagefileid());
      if (i < 1)
        continue; 
      DocAttachment docAttachment = new DocAttachment();
      docAttachment.setDocImageFileId(docImageManager.getId());
      docAttachment.setDocid(paramDocInfo.getId());
      docAttachment.setImagefileid(i);
      docAttachment.setImagefilename(docImageManager.getImagefilename());
      docAttachment.setImagefiledesc(docImageManager.getImagefiledesc());
      docAttachment.setImagefilewidth(docImageManager.getimagefilewidth());
      docAttachment.setImagefileheight(docImageManager.getImagefileheight());
      docAttachment.setImagefilesize(docImageManager.getImagefielsize());
      docAttachment.setDocfiletype(docImageManager.getDocfiletype());
      docAttachment.setVersionId(docImageManager.getVersionId());
      docAttachment.setVersionDetail(docImageManager.getVersionDetail());
      docAttachment.setIsextfile(docImageManager.getIsextfile());
      byte[] arrayOfByte = new byte[1024];
      BufferedInputStream bufferedInputStream = null;
      ConnStatement connStatement = new ConnStatement();
      try {
        String str = "select imagefilename,filerealpath,iszip,isencrypt,imagefiletype,imagefile,isaesencrypt,aescode from ImageFile where imagefileid = " + i;
        boolean bool = connStatement.getDBType().equals("oracle");
        connStatement.setStatementSql(str);
        connStatement.executeQuery();
        if (connStatement.next()) {
          String str1 = Util.null2String(connStatement.getString("isaesencrypt"));
          String str2 = Util.null2String(connStatement.getString("aescode"));
          docAttachment.setFilename(Util.null2String(connStatement.getString("imagefilename")));
          docAttachment.setFiletype(Util.null2String(connStatement.getString("imagefiletype")));
          docAttachment.setFilerealpath(Util.null2String(connStatement.getString("filerealpath")));
          docAttachment.setIszip(Util.getIntValue(Util.null2String(connStatement.getString("iszip"))));
          docAttachment.setIsencrype(Util.getIntValue(Util.null2String(connStatement.getString("isencrypt"))));
          docAttachment.setIsAesEncrype(Util.getIntValue(str1, 0));
          docAttachment.setAesCode(str2);
          ZipInputStream zipInputStream = null;
          if (docAttachment.getFilerealpath().equals("")) {
            if (bool) {
              bufferedInputStream = new BufferedInputStream(connStatement.getBlobBinary("imagefile"));
            } else {
              bufferedInputStream = new BufferedInputStream(connStatement.getBinaryStream("imagefile"));
            } 
          } else {
            File file = new File(docAttachment.getFilerealpath());
            bufferedInputStream = new BufferedInputStream(new FileInputStream(file));
          } 
          String str3 = "";
          ByteArrayOutputStream byteArrayOutputStream = null;
          try {
            byteArrayOutputStream = new ByteArrayOutputStream();
            int j;
            while ((j = bufferedInputStream.read(arrayOfByte)) != -1) {
              byteArrayOutputStream.write(arrayOfByte, 0, j);
              byteArrayOutputStream.flush();
            } 
            str3 = Base64.encode(byteArrayOutputStream.toByteArray());
          } catch (Exception exception) {
          
          } finally {
            if (bufferedInputStream != null)
              bufferedInputStream.close(); 
            if (zipInputStream != null)
              zipInputStream.close(); 
            if (byteArrayOutputStream != null)
              byteArrayOutputStream.flush(); 
            if (byteArrayOutputStream != null)
              byteArrayOutputStream.close(); 
          } 
          docAttachment.setFilecontent(str3);
        } 
        arrayList.add(docAttachment);
      } catch (Exception exception) {
        try {
          connStatement.close();
        } catch (Exception exception1) {}
      } finally {
        try {
          connStatement.close();
        } catch (Exception exception) {}
      } 
    } 
    DocAttachment[] arrayOfDocAttachment = new DocAttachment[arrayList.size()];
    for (byte b = 0; b < arrayList.size(); b++)
      arrayOfDocAttachment[b] = arrayList.get(b); 
    return arrayOfDocAttachment;
  }
  
  private Map getExtDocInfo(DocInfo paramDocInfo) throws Exception {
    HashMap<Object, Object> hashMap = new HashMap<Object, Object>();
    RecordSet recordSet = new RecordSet();
    String str = "";
    str = "select * from DocImageFile where docid=" + paramDocInfo.getId() + " and (isextfile <> '1' or isextfile is null) order by versionId desc";
    recordSet.executeSql(str);
    recordSet.next();
    int i = Util.getIntValue(recordSet.getString("versionId"), 0);
    int j = Util.getIntValue(recordSet.getString("imagefileid"));
    if (i == 0) {
      recordSet.executeSql("select * from DocImageFile where docid=" + paramDocInfo.getId() + " order by versionId desc");
      if (recordSet.next()) {
        i = Util.getIntValue(recordSet.getString("versionId"), 0);
        j = Util.getIntValue(recordSet.getString("imagefileid"));
      } 
    } 
    hashMap.put("versionId", i + "");
    hashMap.put("imageFileId", j + "");
    return hashMap;
  }
  
  private DocCustomField[] getCustomFieldInfo(DocInfo paramDocInfo, User paramUser) throws Exception {
    ResourceConditionManager resourceConditionManager = new ResourceConditionManager();
    BrowserComInfo browserComInfo = new BrowserComInfo();
    DepartmentComInfo departmentComInfo = new DepartmentComInfo();
    RecordSet recordSet = new RecordSet();
    ArrayList<DocCustomField> arrayList = new ArrayList();
    CustomFieldManager customFieldManager = new CustomFieldManager("DocCustomFieldBySecCategory", paramDocInfo.getSeccategory());
    customFieldManager.getCustomFields();
    customFieldManager.getCustomData(paramDocInfo.getId());
    while (customFieldManager.next()) {
      DocCustomField docCustomField = new DocCustomField();
      docCustomField.setFieldid(customFieldManager.getId());
      docCustomField.setFieldhtmltype(customFieldManager.getHtmlType());
      docCustomField.setFielddbtype(customFieldManager.getFieldDbType());
      docCustomField.setFieldtype(customFieldManager.getType());
      String str1 = customFieldManager.getData("field" + customFieldManager.getId());
      str1 = Util.StringReplace(str1, "\n", "<br>");
      str1 = Util.StringReplace(str1, "\r", "");
      docCustomField.setFieldvalue(str1);
      String str2 = "";
      if (customFieldManager.getHtmlType().equals("1") || customFieldManager.getHtmlType().equals("2")) {
        str2 = str1;
      } else if (customFieldManager.getHtmlType().equals("3")) {
        String str3 = String.valueOf(customFieldManager.getType());
        String str4 = browserComInfo.getLinkurl(str3);
        String str5 = "";
        String str6 = "";
        if (str3.equals("152") || str3.equals("16"))
          str4 = "/workflow/request/ViewRequest.jsp?requestid="; 
        if (str3.equals("2") || str3.equals("19")) {
          str5 = str1;
        } else if (str3.equals("141")) {
          str5 = resourceConditionManager.getFormShowName(str1, paramUser.getLanguage());
        } else if (str3.equals("4")) {
          str5 = departmentComInfo.getDepartmentname(str1);
        } else if (!str1.equals("")) {
          String str7 = browserComInfo.getBrowsertablename(str3);
          String str8 = browserComInfo.getBrowsercolumname(str3);
          String str9 = browserComInfo.getBrowserkeycolumname(str3);
          String str10 = "";
          HashMap<Object, Object> hashMap = new HashMap<Object, Object>();
          if (str3.equals("17") || str3.equals("18") || str3.equals("27") || str3.equals("37") || str3.equals("56") || str3.equals("57") || str3.equals("65") || str3.equals("142") || str3.equals("152") || str3.equals("168")) {
            str10 = "select " + str9 + "," + str8 + " from " + str7 + " where " + str9 + " in( " + str1 + ")";
          } else if (str3.equals("143")) {
            String str = "0";
            boolean bool = false;
            int i = 0;
            if (str1.startsWith(",")) {
              bool = true;
            } else {
              bool = false;
            } 
            if (str1.endsWith(",")) {
              i = str1.length() - 1;
            } else {
              i = str1.length();
            } 
            if (str1.equals(",")) {
              str = "0";
            } else {
              str = str1.substring(bool, i);
            } 
            str10 = "select " + str9 + "," + str8 + " from " + str7 + " where " + str9 + " in( " + str + ")";
          } else {
            str10 = "select " + str9 + "," + str8 + " from " + str7 + " where " + str9 + "=" + str1;
          } 
          recordSet.executeSql(str10);
          while (recordSet.next()) {
            str6 = Util.null2String(recordSet.getString(1));
            String str = Util.toScreen(recordSet.getString(2), paramUser.getLanguage());
            if (!str4.equals("")) {
              hashMap.put(String.valueOf(str6), str);
              continue;
            } 
            hashMap.put(String.valueOf(str6), str);
          } 
          StringTokenizer stringTokenizer = new StringTokenizer(str1, ",");
          String str11 = "";
          while (stringTokenizer.hasMoreTokens()) {
            str11 = stringTokenizer.nextToken();
            if (str11.length() > 0 && hashMap.get(str11) != null)
              str5 = str5 + hashMap.get(str11); 
          } 
        } 
        str2 = Util.toScreen(str5, paramUser.getLanguage());
      } else if (customFieldManager.getHtmlType().equals("4")) {
        str2 = str1;
      } else if (customFieldManager.getHtmlType().equals("5")) {
        customFieldManager.getSelectItem(customFieldManager.getId());
        while (customFieldManager.nextSelect()) {
          if (customFieldManager.getSelectValue().equals(str1)) {
            str2 = customFieldManager.getSelectName();
            break;
          } 
        } 
      } 
      docCustomField.setFieldshow(str2);
      arrayList.add(docCustomField);
    } 
    DocCustomField[] arrayOfDocCustomField = new DocCustomField[arrayList.size()];
    for (byte b = 0; b < arrayList.size(); b++)
      arrayOfDocCustomField[b] = arrayList.get(b); 
    return arrayOfDocCustomField;
  }
  
  private Map getDummy(DocInfo paramDocInfo) throws Exception {
    HashMap<Object, Object> hashMap = new HashMap<Object, Object>();
    DocTreeDocFieldComInfo docTreeDocFieldComInfo = new DocTreeDocFieldComInfo();
    RecordSet recordSet = new RecordSet();
    String str = "select catelogid from DocDummyDetail where docid=" + paramDocInfo.getId();
    recordSet.executeSql(str);
    ArrayList<String> arrayList1 = new ArrayList();
    ArrayList<String> arrayList2 = new ArrayList();
    while (recordSet.next()) {
      int i = Util.getIntValue(Util.null2String(recordSet.getString(1)));
      if (i > 0) {
        arrayList1.add(i + "");
        arrayList2.add(Util.null2String(docTreeDocFieldComInfo.getTreeDocFieldName(i + "")));
      } 
    } 
    int[] arrayOfInt = new int[arrayList1.size()];
    for (byte b1 = 0; b1 < arrayList1.size(); b1++)
      arrayOfInt[b1] = Util.getIntValue((String)arrayList1.get(b1)); 
    String[] arrayOfString = new String[arrayList2.size()];
    for (byte b2 = 0; b2 < arrayList2.size(); b2++)
      arrayOfString[b2] = arrayList2.get(b2); 
    hashMap.put("dummyIds", arrayOfInt);
    hashMap.put("dummyNames", arrayOfString);
    return hashMap;
  }
  
  private Map getChildDocInfo(DocInfo paramDocInfo) throws Exception {
    ArrayList<String> arrayList1 = new ArrayList();
    ArrayList<String> arrayList2 = new ArrayList();
    RecordSet recordSet = new RecordSet();
    int i = -1;
    String str = "";
    if (paramDocInfo.getDocEditionId() > -1) {
      recordSet.executeSql(" select id,docSubject from DocDetail where doceditionid = " + paramDocInfo.getDocEditionId() + " and doceditionid > 0  and (isHistory<>'1' or isHistory is null or isHistory='') order by docedition desc ");
      recordSet.next();
      i = Util.getIntValue(recordSet.getString("id"));
      str = Util.null2String(recordSet.getString("docSubject"));
    } else {
      i = paramDocInfo.getId();
      str = paramDocInfo.getDocSubject();
    } 
    if (i > 0) {
      arrayList1.add(i + "");
      arrayList2.add(str);
      int j = -1;
      String str1 = "";
      recordSet.executeSql(" select id,docSubject from DocDetail where id <> " + i + " and mainDoc = " + i + " and (isHistory<>'1' or isHistory is null or isHistory='') order by id asc ");
      while (recordSet.next()) {
        j = Util.getIntValue(recordSet.getString("id"));
        str1 = Util.null2String(recordSet.getString("docSubject"));
        if (j > 0) {
          arrayList1.add(j + "");
          arrayList2.add(str1);
        } 
      } 
    } 
    int[] arrayOfInt = new int[arrayList1.size()];
    for (byte b1 = 0; b1 < arrayList1.size(); b1++)
      arrayOfInt[b1] = Util.getIntValue((String)arrayList1.get(b1)); 
    String[] arrayOfString = new String[arrayList2.size()];
    for (byte b2 = 0; b2 < arrayList2.size(); b2++)
      arrayOfString[b2] = arrayList2.get(b2); 
    HashMap<Object, Object> hashMap = new HashMap<Object, Object>();
    hashMap.put("childdocids", arrayOfInt);
    hashMap.put("chiledocnames", arrayOfString);
    return hashMap;
  }
  
  private int getUserId(String paramString) {
    try {
      String str = "select id from HrmResource where loginid='" + paramString + "' union select id from HrmResourcemanager where loginid='" + paramString + "'";
      RecordSet recordSet = new RecordSet();
      recordSet.executeSql(str);
      if (recordSet.next() && Util.getIntValue(recordSet.getString(1), 0) > 0)
        return Util.getIntValue(recordSet.getString(1)); 
    } catch (Exception exception) {
      exception.printStackTrace();
    } 
    return 0;
  }
  
  private int getUserId(String paramString, int paramInt) {
    int i = 0;
    if (paramInt == 2) {
      try {
        String str = "select id from HrmResource where loginid='" + paramString + "' ";
        RecordSet recordSet = new RecordSet();
        recordSet.executeSql(str);
        if (recordSet.next() && Util.getIntValue(recordSet.getString(1), 0) > 0)
          i = Util.getIntValue(recordSet.getString(1)); 
      } catch (Exception exception) {
        exception.printStackTrace();
      } 
    } else {
      i = getUserId(paramString);
    } 
    return i;
  }
  
  private User getUserById(int paramInt) {
    RecordSet recordSet = new RecordSet();
    User user = null;
    String str = "select * from HrmResource where id=" + paramInt + "";
    recordSet.executeSql(str);
    if (recordSet.next()) {
      user = new User();
      user.setUid(recordSet.getInt("id"));
      user.setLoginid("loginid");
      user.setFirstname(recordSet.getString("firstname"));
      user.setLastname(recordSet.getString("lastname"));
      user.setAliasname(recordSet.getString("aliasname"));
      user.setTitle(recordSet.getString("title"));
      user.setTitlelocation(recordSet.getString("titlelocation"));
      user.setSex(recordSet.getString("sex"));
      String str1 = recordSet.getString("systemlanguage");
      user.setLanguage(Util.getIntValue(str1, 7));
      user.setTelephone(recordSet.getString("telephone"));
      user.setMobile(recordSet.getString("mobile"));
      user.setMobilecall(recordSet.getString("mobilecall"));
      user.setEmail(recordSet.getString("email"));
      user.setCountryid(recordSet.getString("countryid"));
      user.setLocationid(recordSet.getString("locationid"));
      user.setResourcetype(recordSet.getString("resourcetype"));
      user.setContractdate(recordSet.getString("contractdate"));
      user.setJobtitle(recordSet.getString("jobtitle"));
      user.setJobgroup(recordSet.getString("jobgroup"));
      user.setJobactivity(recordSet.getString("jobactivity"));
      user.setJoblevel(recordSet.getString("joblevel"));
      user.setSeclevel(recordSet.getString("seclevel"));
      user.setUserDepartment(Util.getIntValue(recordSet.getString("departmentid"), 0));
      user.setUserSubCompany1(Util.getIntValue(recordSet.getString("subcompanyid1"), 0));
      user.setUserSubCompany2(Util.getIntValue(recordSet.getString("subcompanyid2"), 0));
      user.setUserSubCompany3(Util.getIntValue(recordSet.getString("subcompanyid3"), 0));
      user.setUserSubCompany4(Util.getIntValue(recordSet.getString("subcompanyid4"), 0));
      user.setManagerid(recordSet.getString("managerid"));
      user.setAssistantid(recordSet.getString("assistantid"));
      user.setPurchaselimit(recordSet.getString("purchaselimit"));
      user.setCurrencyid(recordSet.getString("currencyid"));
      user.setLogintype("1");
      user.setAccount(recordSet.getString("account"));
    } 
    recordSet.executeSql(" SELECT id,loginid,firstname,lastname,systemlanguage,seclevel FROM HrmResourceManager WHERE id=" + paramInt);
    if (recordSet.next()) {
      user = new User();
      user.setUid(paramInt);
      user.setLoginid(recordSet.getString("loginid"));
      user.setFirstname(recordSet.getString("firstname"));
      user.setLastname(recordSet.getString("lastname"));
      user.setLanguage(Util.getIntValue(recordSet.getString("systemlanguage"), 0));
      user.setSeclevel(recordSet.getString("seclevel"));
      user.setLogintype("1");
    } 
    return user;
  }
  
  private int checkLogin(String paramString1, String paramString2, int paramInt) {
    if (paramString1 == null || "".equals(paramString1))
      return 0; 
    if (paramInt == 1)
      return verifyLoginByDyna(paramString1, paramString2); 
    if (paramInt == 2)
      return verifyLoginByLdap(paramString1, paramString2); 
    return verifyLoginByDb(paramString1, paramString2);
  }
  
  private int verifyLoginByDyna(String paramString1, String paramString2) {
    try {
      String str1 = "select id from HrmResource where loginid='" + paramString1 + "' union select id from HrmResourcemanager where loginid='" + paramString1 + "'";
      String str2 = "0";
      String str3 = "";
      RecordSet recordSet = new RecordSet();
      recordSet.executeSql(str1);
      if (recordSet.next() && Util.getIntValue(recordSet.getString(1), 0) > 0) {
        str2 = recordSet.getString(1);
        Class<?> clazz = Class.forName("weaver.hrm.resource.UserSecComInfo");
        Object object = clazz.newInstance();
        Class[] arrayOfClass = { Class.forName("java.lang.String") };
        Method method1 = clazz.getMethod("getUserSecInfoLoginId", arrayOfClass);
        String str4 = (String)method1.invoke(object, new Object[] { str2 });
        Method method2 = clazz.getMethod("getUserSecInfoPassword", arrayOfClass);
        String str5 = (String)method2.invoke(object, new Object[] { str2 });
        if (str4 != null && str4.equalsIgnoreCase(paramString1)) {
          str3 = str5;
          if (str3.equals(Util.getEncrypt(paramString2)))
            return 1; 
          return 2;
        } 
        return 3;
      } 
      return 4;
    } catch (Exception exception) {
      exception.printStackTrace();
      return 5;
    } 
  }
  
  private int verifyLoginByLdap(String paramString1, String paramString2) {
    int i = 0;
    try {
      RecordSet recordSet = new RecordSet();
      String str1 = Prop.getPropValue(GCONST.getConfigFile(), "authentic");
      boolean bool = true;
      if (str1 != null && str1.equals("ldap")) {
        recordSet.executeSql("select * from HrmResourceManager where loginid = '" + paramString1 + "'");
        if (recordSet.next())
          bool = false; 
      } 
      String str2 = "";
      recordSet.executeSql("select isADAccount from HrmResource where loginid='" + paramString1 + "'");
      if (recordSet.next())
        str2 = recordSet.getString("isADAccount"); 
      if (ifEqlTarget(str1, "ldap") && ifEqlTarget(str2, "1") && bool) {
        LdapUtil ldapUtil = LdapUtil.getInstance();
        boolean bool1 = ldapUtil.authentic(paramString1, paramString2);
        if (bool1) {
          i = 1;
        } else {
          i = 2;
        } 
      } else {
        i = verifyLoginByDb(paramString1, paramString2);
      } 
    } catch (Exception exception) {
      exception.printStackTrace();
      i = 5;
    } 
    writeLog("verifyLoginByLdap: result = " + i);
    return i;
  }
  
  private int verifyLoginByDb(String paramString1, String paramString2) {
    try {
      RecordSet recordSet = new RecordSet();
      String str1 = "select id,password from HrmResource where loginid='" + paramString1 + "' union select id,password from HrmResourcemanager where loginid='" + paramString1 + "'";
      String str2 = "";
      recordSet.executeSql(str1);
      if (recordSet.next() && Util.getIntValue(recordSet.getString(1), 0) > 0) {
        str2 = Util.null2String(recordSet.getString(2));
        if (str2.equals(Util.getEncrypt(paramString2)))
          return 1; 
        return 2;
      } 
      return 3;
    } catch (Exception exception) {
      exception.printStackTrace();
      return 5;
    } 
  }
  
  public String addDocShareByUser(DocShareInfo[] paramArrayOfDocShareInfo, User paramUser) throws Exception {
    String str1 = "";
    if (paramUser == null) {
      str1 = "-2";
      return str1;
    } 
    if (paramArrayOfDocShareInfo.length <= 0) {
      str1 = "-3";
      return str1;
    } 
    ArrayList<String> arrayList = new ArrayList();
    DocShareInfo docShareInfo = null;
    int i = 0;
    int j = 0;
    int k = 0;
    int m = 0;
    int n = 0;
    int i1 = 0;
    int i2 = 0;
    int i3 = 0;
    int i4 = 0;
    int i5 = 0;
    int i6 = 0;
    int i7 = 0;
    String str2 = null;
    int i8 = 0;
    int i9 = 0;
    RecordSet recordSet = new RecordSet();
    String str3 = "";
    byte b1 = 2;
    String str4 = "" + paramUser.getUID();
    String str5 = paramUser.getLogintype();
    String str6 = paramUser.getSeclevel();
    String str7 = "" + paramUser.getType();
    String str8 = "" + paramUser.getUserDepartment();
    String str9 = "" + paramUser.getUserSubCompany1();
    String str10 = str5 + "_" + str4 + "_" + str6 + "_" + str7 + "_" + str8 + "_" + str9;
    List<String> list = null;
    SpopForDoc spopForDoc = new SpopForDoc();
    boolean bool1 = false;
    boolean bool2 = false;
    HashMap<Object, Object> hashMap = new HashMap<Object, Object>();
    for (byte b2 = 0; b2 < paramArrayOfDocShareInfo.length; b2++) {
      docShareInfo = paramArrayOfDocShareInfo[b2];
      i = Util.getIntValue(docShareInfo.getDocId(), 0);
      if (i > 0) {
        if ((List)hashMap.get("" + i) != null) {
          list = (List)hashMap.get("" + i);
        } else {
          list = spopForDoc.getDocOpratePopedom("" + i, str10);
          hashMap.put("" + i, list);
        } 
        bool1 = false;
        bool2 = false;
        if (((String)list.get(0)).equals("true"))
          bool1 = true; 
        if (((String)list.get(3)).equals("true"))
          bool2 = true; 
        n = Util.getIntValue(docShareInfo.getShareLevel(), 0);
        if (bool2 || (bool1 && n == 1)) {
          j = Util.getIntValue(docShareInfo.getShareType(), 0);
          k = Util.getIntValue(docShareInfo.getSecLevel(), 0);
          m = Util.getIntValue(docShareInfo.getRoleLevel(), 0);
          i1 = Util.getIntValue(docShareInfo.getUserId(), 0);
          i2 = Util.getIntValue(docShareInfo.getSubCompanyId(), 0);
          i3 = Util.getIntValue(docShareInfo.getDepartmentId(), 0);
          i4 = Util.getIntValue(docShareInfo.getRoleId(), 0);
          i5 = Util.getIntValue(docShareInfo.getForAllUser(), 0);
          i6 = Util.getIntValue(docShareInfo.getCrmId(), 0);
          i7 = Util.getIntValue(docShareInfo.getShareSource(), 0);
          str2 = Util.null2String(docShareInfo.getIsSecDefaultShare());
          i8 = Util.getIntValue(docShareInfo.getOrgGroupId(), 0);
          i9 = Util.getIntValue(docShareInfo.getDownloadLevel(), 0);
          str3 = "" + i;
          str3 = str3 + "" + b1 + j;
          str3 = str3 + "" + b1 + k;
          str3 = str3 + "" + b1 + m;
          str3 = str3 + "" + b1 + n;
          str3 = str3 + "" + b1 + i1;
          str3 = str3 + "" + b1 + i2;
          str3 = str3 + "" + b1 + i3;
          str3 = str3 + "" + b1 + i4;
          str3 = str3 + "" + b1 + i5;
          str3 = str3 + "" + b1 + i6;
          str3 = str3 + "" + b1 + i8;
          str3 = str3 + "" + b1 + i9;
          recordSet.executeProc("DocShare_IFromDocSecCat_G", str3);
          if (arrayList.indexOf("" + i) == -1) {
            arrayList.add("" + i);
            if (str1.equals("")) {
              str1 = "" + i;
            } else {
              str1 = str1 + "," + i;
            } 
          } 
        } 
      } 
    } 
    DocViewer docViewer = new DocViewer();
    for (byte b3 = 0; b3 < arrayList.size(); b3++) {
      i = Util.getIntValue(arrayList.get(b3), 0);
      docViewer.setDocShareByDoc("" + i);
    } 
    return str1;
  }
  
  public boolean ifEqlTarget(String paramString1, String paramString2) {
    if (paramString1 == null || paramString1.equals(""))
      return false; 
    if (!paramString1.equals(paramString2))
      return false; 
    return true;
  }
}
